Skip to main content
GET
Get subsequence step and variant analytics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the subsequence to analyze.

Example:

"019ff689-bf93-700b-aa2e-69ea2eded018"

Query Parameters

start_date
string

Inclusive start of the analytics range. Accepts a date-only value (YYYY-MM-DD) or an ISO 8601 timestamp. Timestamps are normalized to their UTC calendar date.

Example:

"2024-01-01"

end_date
string

Inclusive end of the analytics range. Accepts a date-only value (YYYY-MM-DD) or an ISO 8601 timestamp. Timestamps are normalized to their UTC calendar date.

Example:

"2024-01-31"

Response

Engagement metrics grouped by subsequence step and variant.

step
null | string
required

Zero-based step index. 0 is the first step. Null when the event could not be attributed to a step.

Example:

"0"

variant
null | string
required

Zero-based variant index. 0 is variant A, 1 is variant B, and so on. Null when the event could not be attributed to a variant.

Example:

"0"

sent
integer
required

Total emails sent from this step and variant.

Example:

100

opened
integer
required

Total open events attributed to this step and variant.

Example:

45

unique_opened
integer
required

Number of unique leads that opened an email from this step and variant.

Example:

40

replies
integer
required

Total replies attributed to this step and variant.

Example:

12

unique_replies
integer
required

Number of unique leads that replied to this step and variant.

Example:

11

replies_automatic
integer
required

Total automatic replies attributed to this step and variant.

Example:

2

unique_replies_automatic
integer
required

Number of unique leads that sent an automatic reply to this step and variant.

Example:

2

clicks
integer
required

Total link click events attributed to this step and variant.

Example:

18

unique_clicks
integer
required

Number of unique leads that clicked a link in this step and variant.

Example:

15